PlayerEvents.loggedIn(event => {
    const arrzenhanced_uuid_blacklist = [
        '13137d23-fdb2-4029-a539-f79354f7521d',
        '7081924c-1fe3-4f26-8579-2d2536669948',
        '71475675-41f6-4b08-9260-373bff3f170d',
        '9ebedb87-40cf-41ff-8b87-693cdec943bc',
        '07a81b6b-b1af-497c-8d79-4644cb34503e',
    ];
    const arrzenhanced_uname_blacklist = [
        'Venozen',
        'bigguy40422',
        'elknuD',
        'freakyjeff9',
        'TheAnnielator',
    ];

    var playerUUID = event.player.uuid.toString();
    var playerUname = event.player.getUsername();

    if (arrzenhanced_uuid_blacklist.includes(playerUUID)) {
        event.player.connection.disconnect(Text.of('UNAUTHORIZED').red().append(Text.of("\nYou are not authorized to use this mod.").white()));
        console.log(`Player with UUID ${playerUUID} was kicked on login.`);
    }

    arrzenhanced_uname_blacklist.forEach((blockedName) => {
        if (blockedName.toLowerCase() == playerUname.toLowerCase()) {
            event.player.connection.disconnect(Text.of('UNAUTHORIZED').red().append(Text.of("\nYou are not authorized to use this mod.").white()));
            console.log(`Player with username ${playerUname} was kicked on login.`);
        }
    })
})